Update seat tracking limit request comment
curl --request PATCH \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"body": "Can we set this to expire after the launch, please?"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}"
payload = { "body": "Can we set this to expire after the launch, please?" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Can we set this to expire after the launch, please?')})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}"
payload := strings.NewReader("{\n \"body\": \"Can we set this to expire after the launch, please?\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"comment": {
"id": "comment-2",
"requestId": "req_abc",
"authorUserId": "user-2",
"authorRole": "reviewer",
"body": "Can we set this to expire after the launch, please?",
"isSystem": false,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Update seat tracking limit request comment
Edit an existing comment on a limit request.
PATCH
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
requests
/
{requestId}
/
comments
/
{commentId}
Update seat tracking limit request comment
curl --request PATCH \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"body": "Can we set this to expire after the launch, please?"
}
'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}"
payload = { "body": "Can we set this to expire after the launch, please?" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Can we set this to expire after the launch, please?')})
};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/requests/{requestId}/comments/{commentId}"
payload := strings.NewReader("{\n \"body\": \"Can we set this to expire after the launch, please?\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"comment": {
"id": "comment-2",
"requestId": "req_abc",
"authorUserId": "user-2",
"authorRole": "reviewer",
"body": "Can we set this to expire after the launch, please?",
"isSystem": false,
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Seat tracking project ID
Limit request ID
Comment ID
Body
application/json
Required string length:
1 - 4000Response
Update seat tracking limit request comment
JSON object
Was this page helpful?
⌘I